import type { Args, ObjectSchema, ProjectSchemaJSON } from '../project-schema/index.ts';
import { type ServicesShapesContext } from '../refs.ts';
import { type SchemaWithArgs } from '../types/index.ts';
export declare function getArgs(prop: SchemaWithArgs): Args | undefined;
export declare function getArgsSchema(projectSchema: ServicesShapesContext, args: Args): ObjectSchema | undefined;
export declare function hasArg(projectSchema: ProjectSchemaJSON, prop: SchemaWithArgs, argPath: string | string[]): boolean;
